include ../../Makefile.site

default: loader

LIBS = -lripsv -lripud -lriprp -lripnh -lripsq -lriprx -lripsk -lripip -lripdf -lripco -lrippr -lripth -lriput -lriper -lripca -lripma -lmysqlclient `$(GLIBCONF) --libs gthread` -lpthread -lsocket -lnsl -lm


defs: $(DEFS)
	cd ../../defs; $(MAKE); cd ../bin/load

modules: $(MODULES)
	cd ../../modules; $(MAKE); cd ../bin/load

loader: $(SOURCES) $(HEADERS) modules
	$(CC) -c $(CVERS) $(CFLAGS) loader.c
	$(CC) $(LFLAGS) -o loader loader.o $(LIBS) $(OPTS)

clean:
	${RM} core *.o loader

